---
schema_version: "1"
id: 56190c20840468a23a6e0654dd991bccffb22605ca88fd8d062a804007cfb08d
title: SCIM API Authentication
collection: tableau
version: current
locale: en-us
portal_url: https://docs.salesforce.com/tableau/current/en-us/api/scim-api/docs/authentication.md
canonical_url: https://help.tableau.com/current/api/scim-api/en-us/docs/authentication.html
source_site: help.tableau.com
content_type: documentation
content_hash: b0aec1953751689a4604ec35ae7687ec987f6a3c7a0292963909b68345155982
description: Documentation for the Tableau SCIM API
---
# SCIM API Authentication

  

**In this section:**

All requests against the SCIM API require the SCIM secret as the bearer token.

### Step 1: Add SCIM secret to header

As part of the process to [enable SCIM support](https://help.tableau.com/current/online/en-us/scim_config_online.htm#step-2-enable-scim-support), you generate a secret. This secret is used in the authorization header for all API requests.

**Example header**

`Authorization: Bearer fn5V9eazQqCGcnDq7UMUnw==:onbq-F2Q8HdyByJG6mi1yaWKcRlhrpDirVSz7o3-U8k='`

### Step 2: Next steps

Use the following APIs to perform provisioning and management tasks, including the bearer token in the authorization header in every request.

| Users Methods | Groups Methods |
| --- | --- |
| [Add User](/current/api/scim-api/en-us/docs/users.html#add-user) | [Create Group](/current/api/scim-api/en-us/docs/groups.html#create-group) |
| [Get User](/current/api/scim-api/en-us/docs/users.html#get-user) | [Get Group](/current/api/scim-api/en-us/docs/groups.html#get-group) |
| [List Users](/current/api/scim-api/en-us/docs/users.html#list-users) | [List Groups](/current/api/scim-api/en-us/docs/groups.html#list-groups) |
| [Update User](/current/api/scim-api/en-us/docs/users.html#) | [Update Group](/current/api/scim-api/en-us/docs/groups.html#update-group) |
| [Delete User](/current/api/scim-api/en-us/docs/users.html#delete-user) | [Delete Group](/current/api/scim-api/en-us/docs/groups.html#delete-group) |
| [Change User Site Role](/current/api/scim-api/en-us/docs/users.html#change-user-site-role) | [Change Group Name](/current/api/scim-api/en-us/docs/groups.html#change-group-name) |
| [Change User License Status](/current/api/scim-api/en-us/docs/users.html#change-user-license-status) | [Add Group Members](/current/api/scim-api/en-us/docs/groups.html#add-group-members) |
|   | [Remove Group Members](/current/api/scim-api/en-us/docs/groups.html#remove-group-members) |